Show / Hide Table of Contents

# Enum AsmHookBehaviour

Defines the behaviour used by the Dalamud.Hooking.AsmHook. This is equivalent to the same enumeration in Reloaded and is included so you do not have to reference the assembly.

###### Namespace: Dalamud.Hooking

###### Assembly: Dalamud.dll

##### Syntax

    public enum AsmHookBehaviour

### Fields

Name | Description
--- | ---
DoNotExecuteOriginal | Do not execute original replaced code (Dangerous!).
ExecuteAfter | Executes your assembly code after the original.
ExecuteFirst | Executes your assembly code before the original.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()